Bug 858078 - Review Request: mingw-qt5-qtsvg - Qt5 for Windows - QtSvg component
Summary: Review Request: mingw-qt5-qtsvg - Qt5 for Windows - QtSvg component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 858058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-17 22:47 UTC by Erik van Pienbroek
Modified: 2014-02-26 13:44 UTC (History)
5 users (show)

Fixed In Version: mingw-qt5-qttranslations-5.2.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-26 13:44:28 UTC
greg.hellings: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Erik van Pienbroek 2012-09-17 22:47:12 UTC
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtsvg/mingw-qt5-qtsvg.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtsvg-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.

Comment 1 Erik van Pienbroek 2012-11-13 01:12:55 UTC
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtsvg/mingw-qt5-qtsvg.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtsvg-5.0.0-0.2.beta1.git20121112.45483bfa.fc19.src.rpm

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.45483bfa
- Update to 20121112 snapshot (rev 45483bfa)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now

Comment 2 Erik van Pienbroek 2013-02-09 12:49:33 UTC
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtsvg/mingw-qt5-qtsvg.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtsvg/5.0.1/1.fc19/src/mingw-qt5-qtsvg-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=121

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final

Comment 6 Patrick Noffke 2013-12-12 22:26:57 UTC
I'd like to help with this, but I'm not familiar with your process for reviewing or testing source RPMs.  Can you please refer me to some instructions on how to do this?

I'm on Fedora 19 -- would I need to upgrade to F20 to test this?

Comment 7 František Dvořák 2013-12-15 21:49:38 UTC
You can use mock, it builds for different Fedora/EPEL versions locally (the development fedora-rawhide is recommended for reviews):

http://fedoraproject.org/wiki/Using_Mock_to_test_package_builds

The helper tool fedora-review-tool is using the mock.


Documents about the process of creating new package and review process are here:

http://fedoraproject.org/wiki/Join_the_package_collection_maintainers
http://fedoraproject.org/wiki/Package_Review_Process

Comment 8 greg.hellings 2014-01-07 04:07:58 UTC
There seems to be a disconnect here - your URL link above points to a 5.2.0 final but your SRPM is stuck in RC land.

Comment 9 greg.hellings 2014-01-07 04:46:24 UTC
I was able to fetch the 5.2.0 final source and build that with your linked spec file above. I ran these checks on both the SRPM rc1 above and the final versions, but I'm only posting the final versions.

$ rpmlint mingw-qt5-qtsvg.spec
mingw-qt5-qtsvg.spec:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtsvg.spec:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtsvg.spec:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtsvg.spec:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtsvg.spec: E: specfile-error warning: bogus date in %changelog: Sun Jan  6 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.0-1
0 packages and 1 specfiles checked; 1 errors, 4 warnings.

$ rpmlint mingw-qt5-qtsvg-5.2.0-1.fc20.src.rpm 
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtsvg.src: E: specfile-error warning: bogus date in %changelog: Sun Jan  6 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.0-1
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

$ rpmlint results_mingw-qt5-qtsvg/5.2.0/1.fc20/mingw{32,64}*rpm
mingw32-qt5-qtsvg.noarch: W: no-documentation
mingw32-qt5-qtsvg-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qtsvg.noarch: W: no-documentation
mingw64-qt5-qtsvg-debuginfo.noarch: E: debuginfo-without-sources
4 packages and 0 specfiles checked; 2 errors, 2 warnings.

$ rpm -q --requires mingw32-qt5-qtsvg
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32(kernel32.dll)
mingw32(libstdc++-6.dll)
mingw32(msvcrt.dll)
mingw32(qt5core.dll)
mingw32(qt5gui.dll)
mingw32(qt5svg.dll)
mingw32(qt5widgets.dll)
mingw32(zlib1.dll)
mingw32-crt
mingw32-filesystem >= 95
mingw32-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --requires mingw64-qt5-qtsvg
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64(kernel32.dll)
mingw64(libstdc++-6.dll)
mingw64(msvcrt.dll)
mingw64(qt5core.dll)
mingw64(qt5gui.dll)
mingw64(qt5svg.dll)
mingw64(qt5widgets.dll)
mingw64(zlib1.dll)
mingw64-crt
mingw64-filesystem >= 95
mingw64-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --provides mingw32-qt5-qtsvg
mingw32-qt5-qtsvg = 5.2.0-1.fc20
mingw32(qt5svg.dll)
mingw32(qsvgicon.dll)
mingw32(qsvg.dll)

$ rpm -q --provides mingw64-qt5-qtsvg
mingw64-qt5-qtsvg = 5.2.0-1.fc20
mingw64(qt5svg.dll)
mingw64(qsvgicon.dll)
mingw64(qsvg.dll)

+ OK
! Needs to be looked into
/ Not applicable

[!] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

It looks like you need to fix up the date in that update message to final, and you are missing the doc files for this package. Everything else seems to be fine.

Comment 10 Erik van Pienbroek 2014-01-10 19:36:53 UTC
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtsvg/mingw-qt5-qtsvg.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtsvg/5.2.0/1.fc21/src/mingw-qt5-qtsvg-5.2.0-1.fc21.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=188

* Wed Jan 08 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.0-1
- Update to 5.2.0
- Dropped manual rename of import libraries
- Added license files

Comment 11 Patrick Noffke 2014-01-17 18:06:27 UTC
Output of fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgfont_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgfunctions_wince_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvggraphics_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvghandler_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgnode_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgstructure_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgstyle_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgtinydocument_p.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/qgraphicssvgitem.h mingw32-qt5-qtsvg :
  /usr/i686-w64-mingw32/sys-root/mingw/include/qt5/QtSvg/qsvggenerator.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/qsvgrenderer.h mingw32-qt5-qtsvg :
  /usr/i686-w64-mingw32/sys-root/mingw/include/qt5/QtSvg/qsvgwidget.h
  mingw32-qt5-qtsvg : /usr/i686-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/qtsvgglobal.h mingw32-qt5-qtsvg :
  /usr/i686-w64-mingw32/sys-root/mingw/include/qt5/QtSvg/qtsvgversion.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgfont_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgfunctions_wince_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvggraphics_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvghandler_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgnode_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgstructure_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgstyle_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/5.2.0/QtSvg/private/qsvgtinydocument_p.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/qgraphicssvgitem.h mingw64-qt5-qtsvg :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/qt5/QtSvg/qsvggenerator.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/qsvgrenderer.h mingw64-qt5-qtsvg :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/qt5/QtSvg/qsvgwidget.h
  mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/qt5/QtSvg/qtsvgglobal.h mingw64-qt5-qtsvg :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/qt5/QtSvg/qtsvgversion.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: mingw32-qt5-qtsvg, mingw64-qt5-qtsvg. Illegal
  package name: mingw32-qt5-qtsvg, mingw64-qt5-qtsvg. Does not provide
  -static: mingw32-qt5-qtsvg, mingw64-qt5-qtsvg.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (3 clause) MIT/X11 (BSD like)", "Unknown or
     generated". 68 files have unknown license. Detailed output of
     licensecheck in /home/pnoffke/projects/fedora/mingw-qt5-qtsvg/858078
     -mingw-qt5-qtsvg/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/i686-w64-mingw32/sys-
     root/mingw/lib/qt5/plugins/iconengines, /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/qt5/plugins/iconengines
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/qt5/plugins/iconengines, /usr/i686-w64-mingw32/sys-
     root/mingw/lib/qt5/plugins/iconengines
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 184320 bytes in 8 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-qt5-qtsvg , mingw64-qt5-qtsvg
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw64-qt5-qtsvg : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/Qt5Svg.pc mingw32-qt5-qtsvg :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5Svg.pc
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-qt5-qtsvg-5.2.0-1.fc21.noarch.rpm
          mingw64-qt5-qtsvg-5.2.0-1.fc21.noarch.rpm
          mingw-qt5-qtsvg-5.2.0-1.fc21.src.rpm
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtsvg.src:29: W: macro-in-comment %{snapshot_rev}
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw64-qt5-qtsvg mingw32-qt5-qtsvg
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw64-qt5-qtsvg (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64(qt5core.dll)
    mingw64(qt5gui.dll)
    mingw64(qt5svg.dll)
    mingw64(qt5widgets.dll)
    mingw64(zlib1.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw32-qt5-qtsvg (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32(qt5core.dll)
    mingw32(qt5gui.dll)
    mingw32(qt5svg.dll)
    mingw32(qt5widgets.dll)
    mingw32(zlib1.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config



Provides
--------
mingw64-qt5-qtsvg:
    mingw64(qsvg.dll)
    mingw64(qsvgicon.dll)
    mingw64(qt5svg.dll)
    mingw64-qt5-qtsvg

mingw32-qt5-qtsvg:
    mingw32(qsvg.dll)
    mingw32(qsvgicon.dll)
    mingw32(qt5svg.dll)
    mingw32-qt5-qtsvg



Source checksums
----------------
http://download.qt-project.org/official_releases/qt/5.2/5.2.0/submodules/qtsvg-opensource-src-5.2.0.tar.xz :
  CHECKSUM(SHA256) this package     : bad23ebcebf8e91cc727b229a3f87f95829edfd2a7653d47e97b154aac687c59
  CHECKSUM(SHA256) upstream package : bad23ebcebf8e91cc727b229a3f87f95829edfd2a7653d47e97b154aac687c59


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 858078
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



Would listing the directories (/usr/i686-w64-mingw32/sys-root/mingw/lib/qt5/plugins/iconengines, /usr/x86_64-w64-mingw32/sys-root/mingw/lib/qt5/plugins/iconengines) under the %files section in the spec remove the "ownership" message in the MUST items above?  Only the file within that directory is listed.

I'm guessing it doesn't complain about the imageformats directory (or others) since those are owned by other packages, but it appears the svg package is the first one to put a file in the iconengines directory.

Also, is there any way to get it to not complain about the header files not being in a -devel package?  This rule (to put headers in -devel) doesn't really apply to the mingw packages.  Same thing for the .a files.

Comment 12 Patrick Noffke 2014-01-17 19:04:57 UTC
I should also mention that I can build my application with Qt5Svg support now (but I can't test it until another issue is resolved).

Comment 13 greg.hellings 2014-01-21 15:25:35 UTC
Picking this back up with the finalized 5.2.0 builds.

Comment 14 Erik van Pienbroek 2014-01-25 23:33:56 UTC
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtsvg/mingw-qt5-qtsvg.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtsvg/5.2.0/2.fc21/src/mingw-qt5-qtsvg-5.2.0-2.fc21.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=199

* Sat Jan 25 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.0-2
- Own the folders %{mingw32_libdir}/qt5/plugins/iconengines and %{mingw64_libdir}/qt5/plugins/iconengines

Comment 15 greg.hellings 2014-01-28 03:26:26 UTC
Looks good now.

Comment 16 Erik van Pienbroek 2014-02-08 21:50:52 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtsvg
Short Description: Qt5 for Windows - QtSvg component
Owners: epienbro
Branches: f19 f20
InitialCC:

Comment 17 Gwyn Ciesla 2014-02-10 13:21:05 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2014-02-16 19:11:14 UTC
mingw-qt5-qttranslations-5.2.1-1.fc20,mingw-qt5-qttools-5.2.1-1.fc20,mingw-qt5-qtsvg-5.2.1-1.fc20,mingw-qt5-qtsensors-5.2.1-1.fc20,mingw-qt5-qtscript-5.2.1-1.fc20,mingw-qt5-qtquick1-5.2.1-1.fc20,mingw-qt5-qtmultimedia-5.2.1-1.fc20,mingw-qt5-qtlocation-5.2.1-1.fc20,mingw-qt5-qtimageformats-5.2.1-1.fc20,mingw-qt5-qtgraphicaleffects-5.2.1-1.fc20,mingw-qt5-qtdeclarative-5.2.1-1.fc20,mingw-qt5-qtbase-5.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-qt5-qttranslations-5.2.1-1.fc20,mingw-qt5-qttools-5.2.1-1.fc20,mingw-qt5-qtsvg-5.2.1-1.fc20,mingw-qt5-qtsensors-5.2.1-1.fc20,mingw-qt5-qtscript-5.2.1-1.fc20,mingw-qt5-qtquick1-5.2.1-1.fc20,mingw-qt5-qtmultimedia-5.2.1-1.fc20,mingw-qt5-qtlocation-5.2.1-1.fc20,mingw-qt5-qtimageformats-5.2.1-1.fc20,mingw-qt5-qtgraphicaleffects-5.2.1-1.fc20,mingw-qt5-qtdeclarative-5.2.1-1.fc20,mingw-qt5-qtbase-5.2.1-1.fc20

Comment 19 Fedora Update System 2014-02-17 21:00:47 UTC
Package mingw-qt5-qttranslations-5.2.1-1.fc20, mingw-qt5-qttools-5.2.1-1.fc20, mingw-qt5-qtsvg-5.2.1-1.fc20, mingw-qt5-qtsensors-5.2.1-1.fc20, mingw-qt5-qtscript-5.2.1-1.fc20, mingw-qt5-qtquick1-5.2.1-1.fc20, mingw-qt5-qtmultimedia-5.2.1-1.fc20, mingw-qt5-qtlocation-5.2.1-1.fc20, mingw-qt5-qtimageformats-5.2.1-1.fc20, mingw-qt5-qtgraphicaleffects-5.2.1-1.fc20, mingw-qt5-qtdeclarative-5.2.1-1.fc20, mingw-qt5-qtbase-5.2.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-qt5-qttranslations-5.2.1-1.fc20 mingw-qt5-qttools-5.2.1-1.fc20 mingw-qt5-qtsvg-5.2.1-1.fc20 mingw-qt5-qtsensors-5.2.1-1.fc20 mingw-qt5-qtscript-5.2.1-1.fc20 mingw-qt5-qtquick1-5.2.1-1.fc20 mingw-qt5-qtmultimedia-5.2.1-1.fc20 mingw-qt5-qtlocation-5.2.1-1.fc20 mingw-qt5-qtimageformats-5.2.1-1.fc20 mingw-qt5-qtgraphicaleffects-5.2.1-1.fc20 mingw-qt5-qtdeclarative-5.2.1-1.fc20 mingw-qt5-qtbase-5.2.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2649/mingw-qt5-qttranslations-5.2.1-1.fc20,mingw-qt5-qttools-5.2.1-1.fc20,mingw-qt5-qtsvg-5.2.1-1.fc20,mingw-qt5-qtsensors-5.2.1-1.fc20,mingw-qt5-qtscript-5.2.1-1.fc20,mingw-qt5-qtquick1-5.2.1-1.fc20,mingw-qt5-qtmultimedia-5.2.1-1.fc20,mingw-qt5-qtlocation-5.2.1-1.fc20,mingw-qt5-qtimageformats-5.2.1-1.fc20,mingw-qt5-qtgraphicaleffects-5.2.1-1.fc20,mingw-qt5-qtdeclarative-5.2.1-1.fc20,mingw-qt5-qtbase-5.2.1-1.fc20
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-02-26 13:44:28 UTC
mingw-qt5-qttranslations-5.2.1-1.fc20, mingw-qt5-qttools-5.2.1-1.fc20, mingw-qt5-qtsvg-5.2.1-1.fc20, mingw-qt5-qtsensors-5.2.1-1.fc20, mingw-qt5-qtscript-5.2.1-1.fc20, mingw-qt5-qtquick1-5.2.1-1.fc20, mingw-qt5-qtmultimedia-5.2.1-1.fc20, mingw-qt5-qtlocation-5.2.1-1.fc20, mingw-qt5-qtimageformats-5.2.1-1.fc20, mingw-qt5-qtgraphicaleffects-5.2.1-1.fc20, mingw-qt5-qtdeclarative-5.2.1-1.fc20, mingw-qt5-qtbase-5.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.